cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From syed <...@git.apache.org>
Subject [GitHub] cloudstack-cloudmonkey pull request: Import error when running clo...
Date Sat, 03 Oct 2015 02:53:35 GMT
GitHub user syed opened a pull request:

    https://github.com/apache/cloudstack-cloudmonkey/pull/10

    Import error when running cloudmonkey

    The cloudmonkey install from pip does not run and gives an import error because the latest
`requests` package dropped the `requests.packages.urllib3`. I am removing an import which
tries to access that. Note that even after removing that line, I still get import errors because
`requests_toolbelt` uses  `requests.packages.urllib3`. They have fixed it in their master
but haven't yet pushed onto PyPi. I have also opened a bug with them for the same. 

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/syed/cloudstack-cloudmonkey master

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/cloudstack-cloudmonkey/pull/10.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #10
    
----
commit 48d33885d2cdf6f3ad8dca94fca8a5fea556e58e
Author: Syed <syed1.mushtaq@gmail.com>
Date:   2015-10-03T02:49:15Z

    Removing urllib3 import and unused urllib2 imports

----


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message